package repositories

import (
	"gorm.io/gorm"
	"sorbet/internal/entities"
	"sorbet/pkg/db"
)

type ConfigGroupRepository struct {
	*db.Repository[entities.ConfigGroup]
}

// NewConfigGroupRepository 创建配置组仓库
func NewConfigGroupRepository(orm *gorm.DB) *ConfigGroupRepository {
	return &ConfigGroupRepository{
		db.NewRepositoryWith[entities.ConfigGroup](orm, "id"),
	}
}
