package controller

import (
	"github.com/labstack/echo/v4"
	"sorbet/internal/entities"
	"sorbet/internal/services/system/request"
	"sorbet/pkg/crud"
)

type SystemRoleController struct {
	crud.Controller[entities.SystemRole, request.SystemRoleUpsertRequest]
}

func (s *SystemRoleController) InitRoutes(r *echo.Group) {
	s.RegisterRoutes("/system/roles", r)
}
